1. Storage: Admin Management
Peladen
  • Peladen
    • Welcome to Peladen
  • Cluster Management
    • Create Your First Cluster
    • Get All Clusters
      GET
  • Database Management
    • Get All Database
      GET
  • Object Storage Management
    • Storage: Daily Operation
      • Generate Upload URL
      • Generate Download URL
      • Delete File
      • Get Tenant Usage
    • Storage: Admin Management
      • Configure Storage Backend
        POST
      • Storage Status
        GET
      • Storage Usage
        GET
      • Update Tenant Quota
        POST
  1. Storage: Admin Management

Configure Storage Backend

Sandbox Env
https://api-sandbox.usepeladen.com/api/v1/storage
Sandbox Env
https://api-sandbox.usepeladen.com/api/v1/storage
POST
/api/storage/setup
Configures cloud credentials and performs a functional smoke test. You can reconfigure the backend at any time by calling this endpoint with new values.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-sandbox.usepeladen.com/api/v1/storage/api/storage/setup' \
--header 'Content-Type: application/json' \
--data-raw '{
    "provider": "s3",
    "bucket": "peladen-storage",
    "access_key": "AKIA...",
    "secret_key": "string",
    "endpoint": "https://s3.amazonaws.com",
    "region": "us-east-1"
}'
Response Response Example
{
    "success": true,
    "config_id": "config_123",
    "smoke_test": {
        "upload_url_generated": true
    }
}
Modified at 2026-03-19 18:00:03
Previous
Get Tenant Usage
Next
Storage Status
Built with